Subject: Re: linux-next: build failure after merge of the hid tree

From: Stefan Kriwanek <[email-masked]>
Date: Wed, 08 Jun 2011 09:26:10 +0200

Hi Jiri,

I can only guess that this has to do with my patch not made by `git --diff` but simply `diff -up /dev/null/linux-2.6.39-speedlink/drivers/hid/hid-speedlink.c`

--- /dev/null	2011-05-27 13:53:55.863652998 +0200
+++ linux-2.6.39-speedlink/drivers/hid/hid-speedlink.c	2011-05-27 18:00:34.719863577 +0200

I am sorry if I caused the disturbance. However, after reading Documentation/SubmittitingPatches etc. I didn't know of any special measure to undertake when adding new files - If so, maybe one should consider updating the documention?.

Regards,
Stefan

Am 08.06.2011 05:03, schrieb Stephen Rothwell:
> Hi Jiri,
> 
> After merging the hid tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> make[3]: *** No rule to make target `drivers/hid/hid-speedlink.c', needed by `drivers/hid/hid-speedlink.o'.  Stop.
> 
> Caused by commit b5eb65d64f91 ("HID: Add driver to fix Speedlink VAD
> Cezanne support").
> 
> I have used the hid tree from next-20110607 for today.